# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

# FIXME: (dwalluck): disabling this option breaks the build
%bcond_without jts
%bcond_without repolib
%bcond_with ws

%define repodir %{_javadir}/repository.jboss.com/jboss/jbossts/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

# Dont forget to update jbossts-build.patch as well
%define reltag  GA_CP12
%define patchtag %{nil}
%define brewreltag CP12
%define namedversion %{version}.%{reltag}%{patchtag}

Name:           jbossts
Version:        4.6.1
Release:        11.%{brewreltag}.4%{?dist}
Epoch:          1
Summary:        JBoss Transaction Service
License:        LGPLv2+
Group:          Development/Java
URL:            http://labs.jboss.com/jbosstm/
# svn export https://anonsvn.jboss.org/repos/labs/labs/jbosstm/tags/JBOSSTS_4_6_1_GA_CP12
# Exported revision 37425.
# tar czf jbossts-4.6.1.GA_CP12-src.tar.gz JBOSSTS_4_6_1_GA_CP12
# Note: update Version in jbossts-build.patch as well
Source0:        jbossts-%{version}.%{reltag}-src.tar.gz
Source1:        jbossts-component-info.xml
Patch0:         jbossts-build.patch
Patch1:         jbossts-disable-tests.patch
# Patch2: changes deprecated (WS) class Sevice21 to Service
Patch2:         jbossts-Service21.patch
# Patch3: temporarily gets jaxrpc from ${_javadir} instead of from jbossas
Patch3:         jbossts-xts_wstx.patch
# JBPAPP-7438 avoid creation of duplicate entries in wstx.jar, which breaks signing
Patch4:         jbossts-JBPAPP-7438-wstx-duplicate-jar-entries.patch

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  ant-trax
BuildRequires:  concurrent
BuildRequires:  jakarta-commons-logging
BuildRequires:  jboss-jaxrpc-api_1.1_spec
# FIXME: (dwalluck): circular dependency
BuildRequires:  jbossas
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  jta
BuildRequires:  junit
BuildRequires:  tanukiwrapper
BuildRequires:  j2ee-connector
# For testing (localjunit)
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  log4j
# Maven is just used to deply artifacts
BuildRequires:  maven2
BuildRequires:  maven2-plugin-deploy
BuildRequires:  mx4j
BuildRequires:  xerces-j2
%if %with jts
BuildRequires:  antlr
BuildRequires:  avalon-framework
BuildRequires:  avalon-logkit
BuildRequires:  jacorb-jboss
#BuildRequires:  picocontainer
%if 0
BuildRequires:  slf4j
%endif
%endif
%if %with ws
BuildRequires:  bea-stax
BuildRequires:  jaxrpc
BuildRequires:  saaj
BuildRequires:  servletapi5
BuildRequires:  wstx
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Reliable Java and Web Services transaction management.
Includes Arjuna Transaction Service Suite (ArjunaTS) and
Arjuna's Web Services Transaction implementation, the market's only
implementation supporting both leading web services specifications
Web Services Transaction (WS-TX) and Web Services Composite Application
Framework (WS-CAF)

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n JBOSSTS_4_6_1_%{reltag}

%patch2 -p1
%patch3 -p1
%patch4 -p1

# Specify target 1.5 for all compilations
perl -p -i -e 's/<javac/<javac source="1.5" target="1.5"/' `find . -name '*build*.xml' -print`

# FIXME remove classes12.jar which is Oracle's proprietary
# FIXME Where do we get this Arjuna's TestingFramework.jar ?
find . -name "*.jar" \
       -not -name "classes12.jar" \
       -not -name "TestingFramework.jar" \
       -exec rm {} \;

pushd ext
build-jar-repository . jmxri
build-jar-repository . jndi
build-jar-repository . jta
build-jar-repository . jdbc-stdext
build-jar-repository . commons-logging
build-jar-repository . tanukiwrapper
build-jar-repository . j2ee-connector
build-jar-repository . concurrent
build-jar-repository . log4j
# FIXME the ones below were supposed to be under ArjunaCore/tsmx/lib/ext but
# there they are not found, so moved them here
build-jar-repository . jcommon
build-jar-repository . jfreechart
popd
pushd antbuildsystem/lib/ext
build-jar-repository . xerces-j2
popd
pushd common/lib/ext
build-jar-repository . xerces-j2
build-jar-repository . commons-logging
build-jar-repository . log4j
popd
#pushd ArjunaCore/tsmx/lib/ext
#build-jar-repository . jcommon
#build-jar-repository . jfreechart
#popd

%if %with jts
pushd ArjunaJTS/jacorb/lib
build-jar-repository . tanukiwrapper
build-jar-repository . antlr
build-jar-repository . avalon-framework
build-jar-repository . avalon-logkit
build-jar-repository . jacorb-jboss/jacorb
build-jar-repository . jacorb-jboss/idl
build-jar-repository . concurrent
#build-jar-repository . picocontainer
#build-jar-repository . slf4j
popd
# For testing (localjunit)
pushd XTS/localjunit/ext
ln -s $(build-classpath commons-codec) commons-codec.jar
ln -s $(build-classpath commons-httpclient) commons-httpclient.jar
ln -s $(build-classpath commons-logging) commons-logging.jar
popd
%endif

%patch0 -p0
#The generation of unique identifiers for objects such as transactions 
# relies on the host's networking being correctly configured.
# So, disable these tests as they fail in brew
%patch1 -p0

# Remove the ReaperTestCase3 as it hungs in Brew
rm ArjunaCore/arjuna/tests/classes/com/hp/mwtests/ts/arjuna/reaper/ReaperTestCase.java
rm ArjunaCore/arjuna/tests/classes/com/hp/mwtests/ts/arjuna/reaper/ReaperTestCase2.java
rm ArjunaCore/arjuna/tests/classes/com/hp/mwtests/ts/arjuna/reaper/ReaperTestCase3.java

# FIXME: These tests fail on Brew (investigate)
rm ArjunaCore/arjuna/tests/classes/com/hp/mwtests/ts/arjuna/common/PersistenceUnitTest.java

# FIXME: These tests error if we don't add slf4j to the path but if we do
# they fail with  http://www.slf4j.org/codes.html#multiple_bindings
#rm -f ArjunaJTS/jtax/tests/classes/com/hp/mwtests/ts/jta/jts/lastresource/LastResourceAllowedTestCase.java
rm -r ArjunaJTS/jtax/tests/classes/com/hp/mwtests/ts/jta/jts

sed -i 's/@VERSION@/%{namedversion}-brew/g' %{SOURCE1}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
export JBOSS_HOME=%{_datadir}/jbossas

%if 0
%{ant} -Dant.library.dir=%{_javadir} \
        -Djavac.debug=true \
        jbossjta
%if %with jts
%{ant} -Dant.library.dir=%{_javadir} \
        -f build-test.xml \
        -Djavac.debug=true \
        jbossjts
%endif
%endif

pushd ..
TS_WORKDIR=`pwd`
popd
%{ant}  -Dant.library.dir=%{_javadir} \
        -f build-release-pkgs.xml \
        -Dworkdir=$TS_WORKDIR \
        -Djavac.debug=true \
        dist

%install
rm -rf %{buildroot}

# The actual build is made in a copy produced by expanding the ZIPs created
# from the sources, so they are at:
pushd ../build/JBOSSTS_4_6_1_%{reltag}

# jar
install -d -m 0755 %{buildroot}%{_javadir}
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -p -m 0644 install/lib/jbossjts.jar %{buildroot}%{_javadir}/%{name}/jbossjts-%{version}.jar
%add_to_maven_depmap jboss.jbossts jbossjts %{namedversion} JPP/%{name} jbossjts
install -p -m 0644 install/lib/jbossjts-integration.jar %{buildroot}%{_javadir}/%{name}/jbossjts-integration-%{version}.jar
%add_to_maven_depmap jboss.jbossts jbossjts-integration %{namedversion} JPP/%{name} jbossjts-integration
install -p -m 0644 install/lib/jbossjts-jacorb.jar %{buildroot}%{_javadir}/%{name}/jbossjts-jacorb-%{version}.jar
%add_to_maven_depmap jboss.jbossts jbossjts-jacorb %{namedversion} JPP/%{name} jbossjts-jacorb
install -p -m 0644 install/lib/ext/jbossts-common.jar %{buildroot}%{_javadir}/%{name}/jbossts-common-%{version}.jar
%add_to_maven_depmap jboss.jbossts jbossts-common %{namedversion} JPP/%{name} jbossts-common
install -p -m 0644 install/bin/jbossts-tools.sar %{buildroot}%{_javadir}/%{name}/jbossts-tools.sar
%add_to_maven_depmap jboss.jbossts jbossts-tools %{namedversion} JPP/%{name} jbossts-tools
install -p -m 0644 XTS/sar/build/jbossxts.sar %{buildroot}%{_javadir}/%{name}/jbossxts.sar
%add_to_maven_depmap jboss.jbossts jbossxts %{namedversion} JPP/%{name} jbossxts

#if 0
# FIXME: We need to find the two different properties,
# the one for JTA and the one for JTS
# For now, we just copy the resources.jar produced by mvn-repository
# used for the repolib maven contents creation
# resources jar
mkdir -p tmp/resources
pushd tmp
install -p -m 0644 ../install/etc/jbossts-properties.xml resources/jbossts-properties.xml-forJTA
install -p -m 0644 ../install/etc/jbossts-properties.xml resources/jbossts-properties.xml-forJTS
%{jar} -cf jbossts-resources-%{version}.jar resources 
install -p -m 0644 jbossts-resources-%{version}.jar %{buildroot}%{_javadir}/%{name}/resources-%{version}.jar
popd
rm -Rf tmp
%add_to_maven_depmap jboss.jbossts resources %{namedversion} JPP/%{name} resources
#endif

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr install/htdocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

popd

%if %with repolib
install -d -m 755 %{buildroot}%{repodir}
install -d -m 755 %{buildroot}%{repodirlib}
install -d -m 755 %{buildroot}%{repodir}/resources
install -p -m 644 %{SOURCE1} %{buildroot}%{repodir}/component-info.xml
install -d -m 755 %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH0} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH1} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH2} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH3} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH4} %{buildroot}%{repodirsrc}
install -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
cp -p %{buildroot}%{_javadir}/%{name}/jbossts-common-%{version}.jar %{buildroot}%{repodirlib}/jbossts-common.jar
cp -p %{buildroot}%{_javadir}/%{name}/jbossjts-%{version}.jar %{buildroot}%{repodirlib}/jbossjts.jar
cp -p %{buildroot}%{_javadir}/%{name}/jbossjts-integration-%{version}.jar %{buildroot}%{repodirlib}/jbossjts-integration.jar
cp -p %{buildroot}%{_javadir}/%{name}/jbossjts-jacorb-%{version}.jar %{buildroot}%{repodirlib}/jbossjts-jacorb.jar
cp -p ../build/JBOSSTS_4_6_1_%{reltag}/install/etc/jbossts-properties.xml %{buildroot}%{repodir}/resources/jbossts-properties.xml
cp -p %{buildroot}%{_javadir}/%{name}/jbossts-tools.sar %{buildroot}%{repodirlib}/jbossts-tools.sar
cp -p %{buildroot}%{_javadir}/%{name}/jbossxts.sar %{buildroot}%{repodirlib}/jbossxts.sar
cp -p ../build/JBOSSTS_4_6_1_%{reltag}/XTS/xts-install/tests/jbossxts-tests.zip %{buildroot}%{repodirlib}/jbossxts-tests.zip
# ***FIXME!!!*** POMs iand resource.jar must be generated and installedi
# outside of repolib as well
# POMs: <jhalliday> fnasser_home: build-release-pkgs.xml mvn-repository target generates them on the fly.
pushd ..
TS_WORKDIR=`pwd`
popd
%{ant} -Dant.library.dir=%{_javadir} \
        -f build-release-pkgs.xml \
        -Dworkdir=$TS_WORKDIR \
        -Dmvn.repodir=%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew \
        -Djavac.debug=true \
        mvn-repository

# FIXME: This should be done before not in the repolib code
# We just need to find how to get the JTA and the JTS specific properties
install -p -m 0644 \
        %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/jboss/jbossts/resources/*/resources-*.jar \
        %{buildroot}%{_javadir}/%{name}/resources-%{version}.jar

#cp poms and resources.jar from what's generated
cp -p %{buildroot}%{_javadir}/%{name}/resources-%{version}.jar %{buildroot}%{repodirlib}/resources.jar
cp -p %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/jboss/jbossts/*/%{namedversion}/*%{namedversion}.pom %{buildroot}%{repodirlib}/

#remove the version in the name of the poms
(cd %{buildroot}%{repodirlib} && for p in *-%{version}*.pom; do mv $p `echo $p | sed "s|-%{namedversion}||g"`; done)
%endif

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do ln -s ${jar} `echo $jar | sed "s|-%{version}||g"`; done)

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jbossjts-%{version}.jar
%{_javadir}/%{name}/jbossjts-integration-%{version}.jar
%{_javadir}/%{name}/jbossjts-integration.jar
%{_javadir}/%{name}/jbossjts-jacorb-%{version}.jar
%{_javadir}/%{name}/jbossjts-jacorb.jar
%{_javadir}/%{name}/jbossjts.jar
%{_javadir}/%{name}/jbossts-common-%{version}.jar
%{_javadir}/%{name}/jbossts-common.jar
%{_javadir}/%{name}/jbossts-tools.sar
%{_javadir}/%{name}/jbossxts.sar
%{_javadir}/%{name}/resources-%{version}.jar
%{_javadir}/%{name}/resources.jar
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Wed Oct 26 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-11.CP12.4
- Rebuild

* Wed Oct 26 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-11.CP12.3
- Add fix for JBPAPP-7438

* Mon Aug 22 2011 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-11.CP12_patch_01.2
- Rebuild so that repolib content will be in the correct dir

* Fri Aug 19 2011 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-11.CP12_patch_01.1
- Upgrade to 4.6.1.GA_CP12
- Remove jbossts-JBTM-827-JBPAPP-5186.patch as it's incoporated in the tag

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-10.CP11_patch_01.3
- Rebuild

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-10.CP11_patch_01.2
- Rebuild

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-10.CP11_patch_01.1
- Upgrade to 4.6.1.GA_CP11-patch-01

* Tue Mar 01 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-9.CP11.2
- Rebuild

* Mon Feb 28 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-9.CP11.1
- Upgrade to 4.6.1.CP11
- Add patch to use jaxrpc from jboss-jaxrpc-api_1.1_spec

- Add patches to use Service instead of deprecated Service21 class

* Wed Feb 16 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-8.CP10.1
- Upgrade to 4.6.1.CP10

* Thu Jan 27 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-7.CP09.1
- Upgrade to 4.6.1.CP09

* Thu Jan 20 2011 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-6.CP08.2
- Rebuild for MEAD

* Mon Dec 13 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-6.CP08.1
- Upgrade to 4.6.1.CP08
- Comment BR picocontainer

* Mon Aug 16 2010 Yiqiao Wang <yiwang@redhat.com> 1:4.6.1-5.CP07.1
- Upgrade to 4.6.1.CP07

* Tue Aug 10 2010 David Walluck <dwalluck@redhat.com> 1:4.6.1-4.CP06.2
- remove extra resources depmap call

* Thu Jul 22 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-4.CP06.1
- Upgrade to 4.6.1.CP06

* Tue Jun 01 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.6
- Fix add_to_maven_depmap to include the reltag for all artifacts

* Tue Jun 01 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.5
- Fix add_to_maven_depmap to include the reltag

* Tue Jun 01 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.4
- Fix repolib

* Fri May 28 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.3
- Add resources.jar to repolib

* Fri May 28 2010 Permaine Cheung <pcheung@redhat.com> - 1:4.6.1-3.CP05.2
- Add sar and tests.zip to repolib

* Thu May 27 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-3.CP05.1
- Upgrade to 4.6.1.CP05
- Remove ReaperTestCase*.java from the build

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-2.CP04.5.1
- rebuilt

* Wed Apr 7 2010 Luiz Barreiros <gbarreir@redhat.com> 1:4.6.1-2.CP04.5
- Rebuild

* Tue Mar 02 2010 David Walluck <dwalluck@redhat.com> 1:4.6.1-2.CP04.4
- resource jar version differs between RHEL-4 and RHEL-5

* Fri Feb 26 2010 David Walluck <dwalluck@redhat.com> 1:4.6.1-2.CP04.3
- update License
- fix options
- fix file permissions
- own %%{_javadir}/%%{name}
- don't mark javadoc as %%ghost
- remove javadoc scriptlets
- maven post(un) scriptlets were in javadoc package
- add Requires post(un) on jpackage-utils
- fix repolib file ownership
- fix repolib permissions

* Tue Feb 09 2010 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-2.CP04.2
- Fix resources.jar in main package to contain both forJTA and forJTS properties

* Tue Jan 26 2010 Martha Benitez <mbenitez@redhat.com> - 1:4.6.1-2.CP04.1
- Upgrade to CP04

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP03.3
- Create resources.jar

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP03.2
- Fix depmap fragments

* Thu Sep 10 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP03.1
- Upgrade to CP03

* Thu Sep 10 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.5
- Add depmap fragments
- Install SAR files in main package

* Sat Aug 15 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.4
- Change location of maven contents in repolib
- Update component-info to new jar names

* Sat Aug 15 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.3
- Add POMs

* Fri Aug 14 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.2
- Build complete set of files

* Fri Aug 14 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP02.1
- Upgrade to CP02

* Mon Aug 10 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP01.2
- Build with the tip of the CP branch which builds with Java 6

* Sat Aug 08 2009 Fernando Nasser <fnasser@redhat.com> - 1:4.6.1-1.CP01.1
- Upgrade to 4.6.1.GA_CP01
- Build with JDK6 for Java 5

* Tue May 19 2009 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP05.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP05

* Thu Jan 29 2009 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP04.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP04

* Wed Jan 07 2009 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP03.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP03

* Fri Jul 25 2008 Fernando Nasser <fnasser@redhat.com> - 1:4.2.3-1.SP5_CP02.1jpp.ep1.2
- Fix dist tag syntax

* Tue Jun 24 2008 Permaine Cheung <pcheung@redhat.com> - 1:4.2.3-1.SP5_CP02.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP02

* Wed Mar 26 2008 Fernando Nasser <fnasser@redhat.com> - 1:4.2.3-1.SP5_CP01.1jpp.ep1.1
- Upgrade to JBOSSTS_4_2_3_SP5_CP01
- Patch for newer JFreeChart
- Bump Epoch so new release format is newer

* Fri Jul 27 2007 Fernando Nasser <fnasser@redhat.com> - 0:4.2.3-1.SP5.1jpp.ep1.1
- Use new release format for post-releases
- Rebuild with target = 1.4

* Tue Jun 19 2007 Fernando Nasser <fnasser@redhat.com> - 0:4.2.3.5-1jpp.ep1.1
- Add repolib subpackage

* Tue Jun 19 2007 Fernando Nasser <fnasser@redhat.com> - 0:4.2.3.5-1jpp
- First JPP release
